> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Order Edit History

> List edit history for a specific order



## OpenAPI

````yaml GET  /v1/portfolios/{portfolio_id}/orders/{order_id}/edit_history
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/orders/{order_id}/edit_history:
    get:
      tags:
        - Orders
      summary: List Order Edit History
      description: List edit history for a specific order
      operationId: PrimeRESTAPI_GetOrderEditHistory
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID
          required: true
          schema:
            type: string
        - name: order_id
          in: path
          description: The order ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetOrderEditHistoryResponse
components:
  schemas:
    coinbase.public_rest_api.GetOrderEditHistoryResponse:
      title: Order Edit History by Order ID and Portfolio ID
      required:
        - edit_history
        - order_id
      type: object
      properties:
        order_id:
          title: The order ID
          type: string
          description: The order ID
        order_edit_history:
          title: 'deprecated: use edit_history instead'
          type: array
          description: 'The history of order edits (deprecated: use edit_history instead)'
          items:
            $ref: >-
              #/components/schemas/coinbase.brokerage.proxy.events.materialized.api.LimitOrderEdit
        edit_history:
          title: The list of edits to the order
          type: array
          description: The history of order edits
          example:
            - price: '100'
              base_quantity: '1'
              quote_value: '100'
              display_base_size: '1.00'
              display_quote_size: '1.00'
              stop_price: '120'
              expiry_time: '2021-05-31T10:59:59.000Z'
              accept_time: '2021-06-20T10:59:59.000Z'
              client_order_id: '123'
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.OrderEdit'
    coinbase.brokerage.proxy.events.materialized.api.LimitOrderEdit:
      title: LimitOrderEdit represents an order edit that is accepted
      type: object
      properties:
        price:
          title: New price for the edited order
          type: string
        size:
          title: New size for the edited order
          type: string
        display_size:
          title: New display size for the edited order
          type: string
        stop_price:
          title: New stop price for the edited order
          type: string
        stop_limit_price:
          title: New stop limit price for the edited order
          type: string
        end_time:
          title: New end time for the edited order
          type: string
          format: date-time
        accept_time:
          title: Time when the edit was accepted
          type: string
          format: date-time
        client_order_id:
          title: Client order id of the order being replaced
          type: string
    coinbase.public_rest_api.OrderEdit:
      type: object
      properties:
        price:
          title: New price for the edited order
          type: string
        base_quantity:
          title: >-
            New base quantity for the edited order, populated if order is in
            base size
          type: string
        quote_value:
          title: >-
            New quote value for the edited order, populated if order is in quote
            size
          type: string
        display_base_size:
          title: >-
            Display base size for the edited order, populated if order is in
            base size
          type: string
        display_quote_size:
          title: >-
            Display quote size for the edited order, populated if order is in
            quote size
          type: string
        stop_price:
          title: New stop price for the edited order
          type: string
        expiry_time:
          title: New expiry/end time for the edited order
          type: string
          format: date-time
        accept_time:
          title: Time when the edit was accepted
          type: string
          format: date-time
        client_order_id:
          title: >-
            The new client order identifier that the order adopted after the
            replacement was successfully accepted
          type: string

````